Bug 492530 - Package perl-Set-Crontab seems not to be Required on Satellite 5.3.0, we might want to not ship it
Package perl-Set-Crontab seems not to be Required on Satellite 5.3.0, we migh...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Steve Salevan
:
Depends On: 492283
Blocks: 463876
  Show dependency treegraph
 
Reported: 2009-03-27 05:26 EDT by Tomas Lestach
Modified: 2009-09-10 14:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:54:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2009-03-27 05:26:05 EDT
Description of problem:

In case the package perl-Schedule-Cron-Events will be recognized as redundant on Satellite 5.3.0 (BZ #492283) and will be removed from the compose, there will be another non-required package: perl-Set-Crontab to consider. Otherwise this BZ has no relevance.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090323.0 on i386
perl-Schedule-Cron-Events-1.8-15.el5
perl-Set-Crontab-1.02-3.el5.noarch.rpm

How reproducible:

Deterministic. (After BZ #492283 is solved)

Steps to Reproduce:
1. Install Satellite 5.3.0 and remove perl-Schedule-Cron-Events package according to BZ #492283.
2. Run rpm -q perl-Set-Crontab, check that the package perl-Set-Crontab is installed.
3. Run rpm -e perl-Set-Crontab.
4. Run rpm -q perl-Set-Crontab again, check that it's now been removed.
  
Actual results:

Package perl-Set-Crontab is installed but it is not required by anything in the Satellite, so it can safely be removed.

Expected results:

Either the package should be Required by some other package, or it should not be on the compose.
Comment 1 Shannon Hughes 2009-03-30 10:55:02 EDT
request to remove this package from iso was sent to rel eng, ticket 38458
Comment 2 Shannon Hughes 2009-04-06 11:09:32 EDT
mass move to onqa
Comment 3 Steve Salevan 2009-04-08 12:44:26 EDT
# rpm -q perl-Schedule-Cron-Events
package perl-Schedule-Cron-Events is not installed
# rpm -q perl-Set-Crontab
perl-Set-Crontab-1.02-3.el5

perl-Set-Crontab is still present, and perl-Schedule-Cron-Events was removed,
so this unnecessary package redundancy still exists.

Moving to FAILS_QA, tested on 530-re20090403.2.
Comment 4 Shannon Hughes 2009-04-09 09:13:44 EDT
resubmitted ticket #39136 to remove these rpms from the sat 530 composes
Comment 5 Shannon Hughes 2009-04-13 11:57:11 EDT
mass move to onqa
Comment 6 Steve Salevan 2009-04-13 13:33:37 EDT
# rpm -q perl-Set-Crontab
package perl-Set-Crontab is not installed

Moving to VERIFIED, tested on 530-re20090409.1.
Comment 7 Steve Salevan 2009-08-07 15:05:57 EDT
# rpm -q perl-Set-Crontab
package perl-Set-Crontab is not installed

RELEASE_PENDING from 7/24 build.
Comment 8 Brandon Perkins 2009-09-10 14:54:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.